3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php if (version_compare('5.4', PHP_VERSION)) { echo 'running 5.3 legacy code'; } else { echo 'running 5.4 code'; }
Output for 4.3.0 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
running 5.3 legacy code